Bug 1721789 (CVE-2019-11707) - CVE-2019-11707 Mozilla: Type confusion in Array.pop
Summary: CVE-2019-11707 Mozilla: Type confusion in Array.pop
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11707
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1720056 1721801 1722678 1720053 1720054 1720055 1720057 1721688 1721689 1721690 1721691 1721692 1721790 1721791 1721792 1721793 1721794
Blocks: 1721788
TreeView+ depends on / blocked
 
Reported: 2019-06-19 04:42 UTC by Doran Moppert
Modified: 2019-09-29 15:15 UTC (History)
19 users (show)

Fixed In Version: Firefox 67.0.3, Firefox ESR 60.7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:07:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1603 None None None 2019-06-25 18:08:02 UTC
Red Hat Product Errata RHSA-2019:1604 None None None 2019-06-25 18:08:14 UTC
Red Hat Product Errata RHSA-2019:1623 None None None 2019-06-27 09:18:45 UTC
Red Hat Product Errata RHSA-2019:1624 None None None 2019-06-27 10:12:32 UTC
Red Hat Product Errata RHSA-2019:1626 None None None 2019-06-27 10:15:05 UTC
Red Hat Product Errata RHSA-2019:1696 None None None 2019-07-08 08:19:19 UTC

Description Doran Moppert 2019-06-19 04:42:44 UTC
A type confusion vulnerability can occur when manipulating JavaScript objects due to issues in `Array.pop`. This can allow for an exploitable crash. We are aware of targeted attacks in the wild abusing this flaw.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-18/#CVE-2019-11707

Comment 1 Doran Moppert 2019-06-19 04:42:47 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Samuel Groß (Google Project Zero), Coinbase Security

Comment 4 Doran Moppert 2019-06-19 05:33:58 UTC
Created firefox tracking bugs for this issue:

Affects: fedora-all [bug 1721801]

Comment 5 Doran Moppert 2019-06-21 00:36:02 UTC
Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 1722678]

Comment 6 Doran Moppert 2019-06-21 00:37:18 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail.

Comment 7 errata-xmlrpc 2019-06-25 18:08:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1603 https://access.redhat.com/errata/RHSA-2019:1603

Comment 8 errata-xmlrpc 2019-06-25 18:08:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1604 https://access.redhat.com/errata/RHSA-2019:1604

Comment 9 errata-xmlrpc 2019-06-27 09:18:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1623 https://access.redhat.com/errata/RHSA-2019:1623

Comment 10 errata-xmlrpc 2019-06-27 10:12:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1624 https://access.redhat.com/errata/RHSA-2019:1624

Comment 11 errata-xmlrpc 2019-06-27 10:15:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1626 https://access.redhat.com/errata/RHSA-2019:1626

Comment 12 errata-xmlrpc 2019-07-08 08:19:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1696 https://access.redhat.com/errata/RHSA-2019:1696

Comment 13 Product Security DevOps Team 2019-07-12 13:07:53 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11707


Note You need to log in before you can comment on or make changes to this bug.